local DXE = DXE
local version = tonumber(("$Rev: 245 $"):sub(7, -3))
DXE.version = version > DXE.version and version or DXE.version
local L = DXE.L

local RaidIcons = DXE:NewModule("RaidIcons","AceTimer-3.0")
DXE.RaidIcons = RaidIcons

-- unit -> handle
local units = {}
-- <icon number> -> unit
local used = {}

-- If raid icon is in use, cancel timer
-- Unit already has a raid icon. 
-- 	Case 1: Icon was not set by DXE, save it to be replaced after the persist time
-- 	Case 2: Icon was set by DXE, cancel timer

function RaidIcons:MarkFriendly(unit,icon,persist)
	if units[unit] then self:CancelTimer(units[unit],true) end
	SetRaidTarget(unit,icon)
	units[unit] = self:ScheduleTimer("RemoveIcon",persist,unit)
end

-- TODO: Implement
function RaidIcons:MarkEnemy()

end

function RaidIcons:RemoveIcon(unit)
	SetRaidTarget(unit,0)
	units[unit] = nil
end

function RaidIcons:RemoveAll()
	for unit,handle in pairs(units) do
		self:CancelTimer(handle,true)
		SetRaidTarget(unit,0)
		units[unit] = nil
	end
end


